%define name    manedit
%define version 0.7.1
%define release %mkrel 1
%define title       ManEdit
%define longtitle   UNIX manual pages editor

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        UNIX manual pages editor
License:        GPL
Group:          Editors
Url:            http://wolfpack.twu.net/ManEdit
Source0:        http://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
Patch0:         %{name}-0.6.1.lib64.patch
BuildRequires:  ImageMagick
BuildRequires:  gtk+1.2-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
ManEdit was created due to a lack of editors for UNIX manual pages,
since users expect each UNIX program/configuration/api/etc to have a
manual page the lack of an editor and the high demand for what it
should create eventually lead to this (long overdue) application. 

Although most resourced developers can create a source document using a
much more advanced editor and then export to multiple file formats, the
average UNIX contributor isn't up to that. Even the creators of this
application were intimidated at the UNIX manual page creation process. 

So to make computers and life simpler, we created ManEdit, the Manual
Page Editor and Viewer. It features: 
- XML Interface and Multiple Sectional Editing 
- Instant preview feature and stand-alone viewer/browser 
- Drag and Drop system and templates for easy mass production 

%prep
%setup -q
%patch0 -p 0

%build
export CFLAGS=$RPM_OPT_FLAGS
%ifarch x86_64
./configure Linux64 -v --libdir=-L%{_libdir}
%else
./configure Linux -v --disable=arch-i686 --libdir=-L%{_libdir}
%endif
make

%install
rm -rf %{buildroot}
make PREFIX=%{buildroot}%_prefix MAN_DIR=%{buildroot}%{_mandir}/man1 install

# icons
convert %{name}/%{name}.xpm -resize 16x16 %{name}-16.png
convert %{name}/%{name}.xpm -resize 32x32 %{name}-32.png
convert %{name}/%{name}.xpm %{name}-48.png
install -D -m 644 %{name}-16.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png %{buildroot}%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-48.png %{buildroot}%{_liconsdir}/%{name}.png 

# menu entry
install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=TextEditor
EOF

rm %{buildroot}%_iconsdir/*.xpm

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files 
%defattr(-,root,root)
%doc AUTHORS INSTALL LICENSE README
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Wed Nov 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.1-1mdv2007.0
+ Revision: 88626
- new version
  drop gcc patch, merged upstream
  dropped old debian menu
- Import manedit



* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.1-4mdv2007.0
- xdg menu
- clean buildroot before install
- fix build

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.1-3mdk
- Rebuild

* Tue Mar 29 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.6.1-2mdk
- fix amd64 build (fix bug #15077)

* Sat Mar 19 2005 Austin Acton <austin@mandrake.org> 0.6.1-1mdk
- 0.6.1

* Tue Nov 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5.12-2mdk 
- fix menu entry

* Tue Nov 16 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 0.5.12-1mdk
- New release 0.5.12

* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5.11-3mdk 
- explicit requires

* Tue Jun 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5.11-2mdk 
- rebuild

* Sun Apr 18 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5.11-1mdk
- new version
- fixed menu

* Fri May 02 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.5.10-1mdk
- 0.5.10

* Fri Feb 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.8-1mdk
- 0.5.8

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.6-3mdk
- rebuild

* Fri May 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.6-2mdk
- rebuild against new libstdc++

* Wed Mar 13 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.5.6-1mdk
- 0.5.6
- used png icons

* Sat Jan 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.4-1mdk
- new release

* Wed Nov 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.3-1mdk
- 0.5.3

* Fri Oct 26 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.5.1-3mdk
- corrected typo in description

* Wed Oct 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-2mdk
- fixes from Guillaume Rousse <g.rousse@linux-mandrake.com> :
    - icons in right place

* Sat Sep 15 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.5.1-1mdk
- 0.5.1
- dropped gtk config patch

* Wed Aug 15 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.5.0-1mdk
- first Mandrake release
